//package PedigreeCanvas;

//import Pedigree.*;

// a marriage line is a pedcanline that connected a married couple.

import java.util.*;

public class PedCanMarriageLine extends PedCanLine {

	Vector couple;

	public PedCanMarriageLine(PedCanPerson person1, PedCanPerson person2, int lineWidth) {
	// requires: person1 and person2 are not null and are different people.  This object does
	//			 not care about the legality of the marriage
	// effects:  Creates a marriage line between person1 and person2 with width lineWidth
		super(PedCanLine.MARRIAGE, lineWidth);

		couple = new Vector();
		couple.addElement(person1);
		couple.addElement(person2);
	}

	public Enumeration getCouple() {
	// effects:  Returns an enumeration of the two people in this marriage line
		return couple.elements();
	}

	// return a string of the format : MarriageLine <person1ID> <person2ID>
	public String toString() {
		PedCanPerson person1 = (PedCanPerson)couple.elementAt(0);
		PedCanPerson person2 = (PedCanPerson)couple.elementAt(1);
		return "MarriageLine " + person1.getPerson().getID() + " " + person2.getPerson().getID();
	}
}
