//package PedigreeCanvas;

//import Pedigree.*;

public class PedCanTestLine extends PedCanLine {

	// local state
	PedCanGeneticScreen pcGS;
	PedCanPerson pcPerson;

	PedCanTestLine(PedCanGeneticScreen pcGS, PedCanPerson pcPerson, int width) {
		super(PedCanLine.TEST, width);
		this.pcPerson = pcPerson;
		this.pcGS = pcGS;
	}

	public PedCanGeneticScreen getPedCanGeneticScreen() {
		return pcGS;
	}

	public PedCanPerson getPedCanPerson() {
		return pcPerson;
	}

	// return a string of the format : TestLine <GenenticSecreenName> <personID>
	public String toString() {
		return "TestLine " + pcGS.getGeneticScreen().getGeneticScreenDescriptor().getName() + " " +
			pcPerson.getPerson().getID();
	}
}
