//package Disease;

//import Person.*;
//import BayesNetwork.*;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.beans.*; //Property change stuff

public class ChooseSexSupportDialog extends JDialog {

	int iSex;

	public ChooseSexSupportDialog(JFrame fOwner) {
		super(fOwner, "Choose genetic screen support sex", true);

		JLabel title = new JLabel("This disease has different genotypes for each sex.\n" +
								  "A genetic screen can only support on genotype.\n" +
								  "Choose the sex genotype for this genetic screen");

		final ButtonGroup sexTypeRadioButtonGroup = new ButtonGroup();
		JRadioButton mradioButton = new JRadioButton("Male Genotype");
		mradioButton.setSelected(true);
		sexTypeRadioButtonGroup.add(mradioButton);
		JRadioButton fradioButton = new JRadioButton("Female Genotype");
		sexTypeRadioButtonGroup.add(fradioButton);

		Object[] array = {title, mradioButton, fradioButton};

        final String btnString1 = "OK";
        Object[] options = {btnString1};

        final JOptionPane optionPane = new JOptionPane(array, 
                                    JOptionPane.PLAIN_MESSAGE,
                                    JOptionPane.YES_NO_OPTION,
                                    null,
                                    options, 
									options[0]);
        setContentPane(optionPane);
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
                public void windowClosing(WindowEvent we) {
                optionPane.setValue(new Integer(
                                        JOptionPane.CLOSED_OPTION));
            }
        });

        optionPane.addPropertyChangeListener(new PropertyChangeListener() {
			public void propertyChange(PropertyChangeEvent e) {
                String prop = e.getPropertyName();
				if (isVisible() 
                 && (e.getSource() == optionPane)
                 && (prop.equals(JOptionPane.VALUE_PROPERTY) ||
                     prop.equals(JOptionPane.INPUT_VALUE_PROPERTY))) {
                    Object value = optionPane.getValue();

                    if (value == JOptionPane.UNINITIALIZED_VALUE) {
                        //ignore reset
                        return;
                    }

                    // Reset the JOptionPane's value.
                    // If you don't do this, then if the user
                    // presses the same button next time, no
                    // property change event will be fired.
                    optionPane.setValue(
                            JOptionPane.UNINITIALIZED_VALUE);

                    if (value.equals(btnString1)) {  // the user pushed ok
						JRadioButton radioButton = (JRadioButton)sexTypeRadioButtonGroup.getSelection();
						if (radioButton.getText() == "Male Genotype")
							iSex = Person.MALE;
						else
							iSex = Person.FEMALE;
                        setVisible(false);
                    }
                }
            }
        });
	}

	public int getSexChoice() {
		return iSex;
	}
}
