//package Disease;

//import Person.*;
//import BayesNetwork.*;

class GeneticInference {

int inferenceType;
String inferenceValue;
double inferenceProb;

static public int GENOTYPE  = 0;
static public int PHENOTYPE = 1;

// constructor
public GeneticInference(int iType, String sValue, double iProb) {
	// effects:  creates an inference where iType is either GeneticInference.GENOTYPE or GeneticInference,PHENOTYPE
	//			 If iType is neither, then it becomes GeneticInference,PHENOTYPE
	//			 sValue is a value of the type, and iProb is its probabilty of liklihood
	if ((iType != GENOTYPE) && (iType != PHENOTYPE))
		inferenceType = PHENOTYPE;
	else
		inferenceType = iType;
	inferenceValue = sValue;
	inferenceProb = iProb;
}

// methods
public int getInferenceType() {
	return inferenceType;
}

public String getInferenceValue() {
	return inferenceValue;
}

public double getInferenceProb() {
	return inferenceProb;
}

}  // GeneticInference class






